﻿* Encoding: UTF-8.
********************************************************************************************************************************************************************************************
********************************************************************GESTIÓN AMBIENTAL *********************************************************************************************.
****Tabla 1. Empresas que contaron con al menos una persona dedicada a actividades ambientales*******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=N_sector TAMAÑO v21_1 DISPLAY=LABEL
  /TABLE N_sector [C] BY TAMAÑO [C] > v21_1 [C][COUNT F40.0, COLPCT.VALIDN PCT40.2]
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


****************Tabla 3. Empresas que cuentan con unidad o departamento dedicado a actividades ambientales**************.

CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO v21_2 DISPLAY=LABEL
    /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO[C] > v21_2[C]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*******************Tabla 4. Distribución de permisos ambientales por sector de actividad y según tamaño de las empresas*******.

CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO v21_3 DISPLAY=LABEL
    /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO[C] > v21_3[C]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*****************Tabla 5. Distribución de emisores de permisos ambientales por sector de actividad de las empresas medianas A********.

CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO v21_3_1 DISPLAY=LABEL
    /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO[C] > v21_3_1[C]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*********Tabla 6. Empresas que cuentan con certificación ISO 14001, por sector de actividad y según tamaño de las empresasl**********.

CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO v21_4 DISPLAY=LABEL
    /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO [C] > v21_4[C]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**********Tabla7.  Distribución de emisores de certificaciones ISO 14001************************.

CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO v21_4_1 DISPLAY=LABEL
    /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO[C] > v21_4_1[C]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*********************************************************************************************************************************************************************************************
********************************************************************************ENERGÍA ************************************************************************************************.
******************************Tabla 8. Empresas que usaron energía de red pública para funcionar su actividad productiva*************************************.
*****v23_i_2***.

CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO v23_i_2 DISPLAY=LABEL
    /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO[C] > v23_i_2[C]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

********************************************************************************************************************************************************************************.
****************************************************Tabla9. Cantidad de energía comprada a la red pública*********************************************************.
*****Tamaño; SUMA(v23001)***.

CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO v23001 DISPLAY=LABEL
    /TABLE N_sector [C] BY TAMAÑO[C] > v23001 [S][COUNT F40.0, SUM, MEAN]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

********************************************************************************************************************************************************************************
***************************Tabla10.  Empresas que generaron energía eléctrica alternativa o complementaria a la energía de red pública*********************.
*****v23_i_3***.

CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO v23_i_3 DISPLAY=LABEL
    /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO[C] > v23_i_3[C]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


********************************************************************************************************************************************************************************
**********************************Tabla11.  Empresas según tipo de energía eléctrica alternativa o complementaria generada***********************************.
*****Y(v23004, NO(v23006))***.

if (v23004=1) Propio=1.
if (v23006=1) Terceros=2.

COMPUTE DEST_A =SUM.1(Propio,Terceros).
EXECUTE.

VALUE LABELS
DEST_A
1 'Consumo Propio'
2 'Consumo Terceros'
3 'Propio y Terceros'.
EXECUTE.

VARIABLE LABELS
DEST_A 'ENERGÍA DESTINADA'.
EXECUTE.


CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO DEST_A DISPLAY=LABEL
    /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO[C] > DEST_A [C]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


********************************************************************************************************************************************************************************
**************************************************Tabla12. Cantidad de energía autogenerada y consumida**********************************************************.
*****SUMA(v23009) Manufactura******.
if(v23_i_3=1&v23009<>0) cant_ener_prod_cons=1.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v23_i_3 v23009 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > (v23_i_3 [C] > v23009 [COUNT F40.0, SUM, MEAN]) 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.
.

********************************************************************************************************************************************************************************
*****************************Tabla13.  Distribución  de energía eléctrica alternativa o complementaria generada, según fuente***********************************.
*****v23011, v23013, v23015,v23017******.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v23011 v23012 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v23011 [C] > v23012 [S][COUNT F40.0, SUM, MEAN] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v23013 v23014 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v23013 [C] > v23014 [S][COUNT F40.0, SUM, MEAN] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v23015 v23016 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v23015 [C] > v23016 [S][COUNT F40.0, SUM, MEAN] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v23017 v23018 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v23017 [C] > v23018 [S][COUNT F40.0, SUM, MEAN] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.



********************************************************************************************************************************************************************************
*********************************************Tabla 14.  Cantidad de agua comprada a la red pública************************************************************.
*****SUMA(v23019) Manufactura******.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v23019 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v23019 [COUNT F40.0, SUM, MEAN] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

********************************************************************************************************************************************************************************
*********************************************Tabla 15.  Empresas que contaron con suministro de agua por tanquero SI/NO*********************************************.
*****v23_ii_3******.

recode v23_ii_3 (0=SYSMIS)(else = COPY).

CTABLES
  /VLABELS VARIABLES=N_sector TAMAÑO v23_ii_3 DISPLAY=LABEL
  /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO [C] > v23_ii_3 [C] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

********************************************************************************************************************************************************************************
*********************************************TABLA 3.10 Cantidad de agua comprada y consumida de agua por tanquero*********************************************.
*****SUMA(v23049) Manufactura******.

if(v23_ii_3=1&v23049<>0)cant_tanq=1.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v23_ii_3 v23049 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v23_ii_3 [C] > v23049 [S][COUNT F40.0, SUM, MEAN] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

********************************************************************************************************************************************************************************
*********************************************Tabla 16. Distribución  de uso de aguas de captación, según fuente******************************************.
*****v23051, v23055, v23059******.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v23051 v23055 v23059 DISPLAY=LABEL 
  /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO [C] > (v23051 [C] + v23055 [C] + v23059 [C]) 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.



********************************************************************************************************************************************************************************
********************************************Tabla17. Distribución de volúmenes usados de agua de captación, según fuente************************************.
*****Tamaño; SUMA(v23053), SUMA(v23057),SUMA(v23061)******.

if(v23051=1&v23053<>0)agua_superficial=1.
if(v23055=1&v23057<>0)agua_subterranea=1.
if(v23059=1&v23061<>0)agua_mar=1.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v23052 v23053 v23056 v23057 v23060 v23061 
    DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > (v23052 [C] > v23053 [S][COUNT F40.0, SUM, MEAN] + v23056 [C] > 
    v23057 [S][COUNT F40.0, SUM, MEAN] + v23060 [C] > v23061 [S][COUNT F40.0, SUM, MEAN])
  /CATEGORIES VARIABLES=v23052 [1] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=v23056 [1] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=v23060 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

********************************************************************************************************************************************************************************
**********************************************************************AGUA RESIDUAL*************************************************************************************.
********************************Tabla 18. Empresas que generaron aguas residuales***************************.
************v24_i_2*************.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v24_i_2 DISPLAY=LABEL 
  /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO[C] > v24_i_2 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

********************************Tabla 19.  Empresas que cuentan con registros de las aguas residuales generadas***************************.
************v24_i_3*************.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v24_i_3 DISPLAY=LABEL 
  /TABLE N_sector [C][COUNT F40.0, COLPCT.VALIDN PCT40.2] BY TAMAÑO[C] >  v24_i_3 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*******TRANSFORMAR DATOS EN M3*********.
COMPUTE V24004_REC=(V24001*V24002*V24003)*12.
EXECUTE.

if(V24004_REC<>0) control_porcentaje=1.

ALTER TYPE v24005_2 (F1), v24006_2 (F1), v24007_2 (F1), v24008_2 (F1), v24009_2 (F1), v24010_2 (F1).

VARIABLE LEVEL v24005_2 (SCALE), v24006_2 (SCALE), v24007_2 (SCALE), v24008_2 (SCALE), v24009_2 (SCALE), v24010_2 (SCALE) v24011(SCALE).


COMPUTE red_pub = (V24004_REC*v24005_2)/100.
EXECUTE.
COMPUTE mar = (V24004_REC*v24006_2)/100.
EXECUTE.
COMPUTE agua_sup = (V24004_REC*v24007_2)/100.
EXECUTE.
COMPUTE agua_sub = (V24004_REC*v24008_2)/100.
EXECUTE.
COMPUTE re_uso = (V24004_REC*v24009_2)/100.
EXECUTE.
COMPUTE gestor = (V24004_REC*v24010_2)/100.
EXECUTE.
COMPUTE Total = (V24004_REC*v24011)/100.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO red_pub DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > red_pub [SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO mar DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > mar [SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO agua_sup DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > agua_sup [SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO agua_sub DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > agua_sub [SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO re_uso DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > re_uso [SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO gestor DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > gestor [SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO Total DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > Total [SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

********************************Tabla 20.  Distribución  de los tipos de tratamiento dado a las aguas residuales generadas***************************
************v24_i_2_1*************.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v24_i_2_1 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO[C] > v24_i_2_1 [COUNT F40.0, COLPCT.VALIDN PCT40.2] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.


*********************************************************************************************************************************************************************
***** II OTROS RESIDUOS
***** II.1 RESIDUOS NO PELIGROSOS.

*** MÓDULO AMBIENTAL DE LA ENCUESTA INDUSTRIAL 2015
*** SINTAXIS DE LA SECCIÓN RESIDUOS
*** CAP. 24, SECCIÓN II: OTROS RESIDUOS.
*** II.1 RESIDUOS NO PELIGROSOS.

FILTER OFF.
USE ALL.
SPLIT FILE OFF.
COMPUTE Filtro_Global = (N_sector > 0 & TAMAÑO > 0).
FREQUENCIES Filtro_Global.

FILTER BY Filtro_Global.

*** Tabla 22. Empresas que generaron residuos no peligrosos, por tipo de residuo y según tamaño de la empresa.
FREQUENCIES v24019 v24039 v24059 v24079 v24099 v24119 v24139 v24159 v24179 v24199.

* Los residuos con las 5 mayores frecuencias positivas fueron:
* 1) Papel y cartón: v24039 (94.0%).
* 2) Plástico: v24079 (52.4%).
* 3) Chatarra liviana: v24019 (29.5%).
* 4) Orgánicos: v24059 (28.3%).
* 5) Madera: v24139 (17.0%).

SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.

* Tabla 23.  Cinco principales residuos no peligrosos por tamaño, para todas las actividades económicas.
SPLIT FILE OFF.
CTABLES
  /VLABELS VARIABLES=v24039 v24079 v24019 v24059 v24139 TAMAÑO DISPLAY=LABEL
  /TABLE v24039 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24079 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24019 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24059 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24139 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24039 v24079 v24019 v24059 v24139 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 24. ( 5.1.2  a 5.1.5 y 5.1.7) Cinco principales residuos no peligrosos por tamaño, para las actividades económicas B, C, G, H, J.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24039 v24079 v24019 v24059 v24139 TAMAÑO DISPLAY=LABEL
  /TABLE v24039 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24079 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24019 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24059 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24139 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24039 v24079 v24019 v24059 v24139 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 26. (5.1.6) Cinco principales residuos no peligrosos por tamaño, para la actividad económica I.
CTABLES
  /VLABELS VARIABLES=v24039 v24059 v24079 v24199 v24119 TAMAÑO DISPLAY=LABEL
  /TABLE v24039 [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + v24059 [C][COUNT F40.0, COLPCT.COUNT 
    PCT40.1] + v24079 [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + v24199 [COUNT F40.0, COLPCT.COUNT 
    PCT40.1] + v24119 [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO [C]
  /CATEGORIES VARIABLES=v24039 v24059 v24079 v24199 v24119 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*------------------------------------------------------------------------------------------------------------.
**** GESTIÓN DE RESIDUOS, UNA TABLA POR CADA RESIDUO.
*------------------------------------------------------------------------------------------------------------.
******Tabla 23. Empresas que generaron residuos no peligrosos, 2015*********

* Línea 333. Chatarra liviana.
COMPUTE g_333 = (v24023_R > 0). /* Contador de empresas que tienen cantidad positiva de CHATARRA LIVIANA.
VARIABLE LABELS g_333 "Chatarra liviana".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_333 v24025 v24027 v24029 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_333 [C] > (v24025 [S][SUM, COUNT F40.0] + v24027 [S][SUM, COUNT F40.0] + v24029 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_333 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 334. Papel y cartón.
COMPUTE g_334 = (v24043_R > 0). /* Contador de empresas que tienen cantidad positiva de PAPEL Y CARTÓN.
VARIABLE LABELS g_334 "Papel y cartón".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_334 v24045 v24047 v24049 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_334 [C] > (v24045 [S][SUM, COUNT F40.0] + v24047 [S][SUM, COUNT F40.0] + v24049 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_334 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 335. Orgánicos.
COMPUTE g_335 = (v24063_R > 0). /* Contador de empresas que tienen cantidad positiva de ORGÁNICOS.
VARIABLE LABELS g_335 "Orgánicos".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_335 v24065 v24067 v24069 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_335 [C] > (v24065 [S][SUM, COUNT F40.0] + v24067 [S][SUM, COUNT F40.0] + v24069 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_335 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 336. Plástico.
COMPUTE g_336 = (v24083_R > 0). /* Contador de empresas que tienen cantidad positiva de PLÁSTICO.
VARIABLE LABELS g_336 "Plástico".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_336 v24085 v24087 v24089 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_336 [C] > (v24085 [S][SUM, COUNT F40.0] + v24087 [S][SUM, COUNT F40.0] + v24089 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_336 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 337. Caucho.
COMPUTE g_337 = (v24103_R > 0). /* Contador de empresas que tienen cantidad positiva de CAUCHO.
VARIABLE LABELS g_337 "Caucho".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_337 v24105 v24107 v24109 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_337 [C] > (v24105 [S][SUM, COUNT F40.0] + v24107 [S][SUM, COUNT F40.0] + v24109 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_337 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 338. Vidrio.
COMPUTE g_338 = (v24123_R > 0). /* Contador de empresas que tienen cantidad positiva de VIDRIO.
VARIABLE LABELS g_338 "Vidrio".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_338 v24125 v24127 v24129 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_338 [C] > (v24125 [S][SUM, COUNT F40.0] + v24127 [S][SUM, COUNT F40.0] + v24129 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_338 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 339. Madera.
COMPUTE g_339 = (v24143_R > 0). /* Contador de empresas que tienen cantidad positiva de MADERA.
VARIABLE LABELS g_339 "Madera".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_339 v24145 v24147 v24149 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_339 [C] > (v24145 [S][SUM, COUNT F40.0] + v24147 [S][SUM, COUNT F40.0] + v24149 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_339 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 340. Lodos de dragado.
COMPUTE g_340 = (v24163_R > 0). /* Contador de empresas que tienen cantidad positiva de LODOS DE DRAGADO.
VARIABLE LABELS g_340 "Lodos de dragado".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_340 v24165 v24167 v24169 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_340 [C] > (v24165 [S][SUM, COUNT F40.0] + v24167 [S][SUM, COUNT F40.0] + v24169 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_340 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 341. Textiles.
COMPUTE g_341 = (v24183_R > 0). /* Contador de empresas que tienen cantidad positiva de TEXTILES.
VARIABLE LABELS g_341 "Textiles".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_341 v24185 v24187 v24189 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_341 [C] > (v24185 [S][SUM, COUNT F40.0] + v24187 [S][SUM, COUNT F40.0] + v24189 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_341 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 342. Grasa saturada e insaturada.
COMPUTE g_342 = (v24203_R > 0). /* Contador de empresas que tienen cantidad positiva de GRASA SATURADA E INSATURADA.
VARIABLE LABELS g_342 "Grasa saturada e insaturada".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_342 v24205 v24207 v24209 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_342 [C] > (v24205 [S][SUM, COUNT F40.0] + v24207 [S][SUM, COUNT F40.0] + v24209 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_342 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Consolidado Gestión de Residuos - RESIDUOS NO PELIGROSOS.
COMPUTE g_RNP = (g_333 | g_334 | g_335 | g_336 | g_337 | g_338 | g_339 | g_340 | g_341 | g_342). /* Contador de empresas que tienen cantidad positiva de al menos un RESIDUO NO PELIGROSO.
VARIABLE LABELS g_RNP "EMPRESAS CON RESIDUOS NO PELIGROSOS".

COMPUTE u_RNP = sum.1(g_333 * v24025, g_334 * v24045, g_335 * v24065, g_336 * v24085, g_337 * v24105, g_338 * v24125, g_339 * v24145, g_340 * v24165,
g_341 * v24185, g_342 * v24205) / sum.1(g_333, g_334, g_335, g_336, g_337, g_338, g_339, g_340, g_341, g_342).
VARIABLE LABELS u_RNP "% reutilizó RESIDUOS NO PELIGROSOS".

COMPUTE a_RNP = sum.1(g_333 * v24027, g_334 * v24047, g_335 * v24067, g_336 * v24087, g_337 * v24107, g_338 * v24127, g_339 * v24147, g_340 * v24167,
g_341 * v24187, g_342 * v24207) / sum.1(g_333, g_334, g_335, g_336, g_337, g_338, g_339, g_340, g_341, g_342).
VARIABLE LABELS a_RNP "% almacenó RESIDUOS NO PELIGROSOS".

COMPUTE d_RNP = sum.1(g_333 * v24029, g_334 * v24049, g_335 * v24069, g_336 * v24089, g_337 * v24109, g_338 * v24129, g_339 * v24149, g_340 * v24169,
g_341 * v24189, g_342 * v24209) / sum.1(g_333, g_334, g_335, g_336, g_337, g_338, g_339, g_340, g_341, g_342).
VARIABLE LABELS d_RNP "% desechó RESIDUOS NO PELIGROSOS".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_RNP u_RNP a_RNP d_RNP DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_RNP [C] > (u_RNP [S][SUM, COUNT F40.0] + a_RNP [S][SUM, COUNT F40.0] + d_RNP [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_RNP ORDER=A KEY=VALUE EMPTY=EXCLUDE.

************************************************************************************************************************************************.
*** MÓDULO AMBIENTAL DE LA ENCUESTA INDUSTRIAL 2015
*** SINTAXIS DE LA SECCIÓN RESIDUOS
*** CAP. 24, SECCIÓN II: OTROS RESIDUOS.
*** II.2 RESIDUOS ESPECIALES.

FILTER OFF.
USE ALL.
SPLIT FILE OFF.
COMPUTE Filtro_Global = (N_sector > 0 & TAMAÑO > 0).
FREQUENCIES Filtro_Global.

FILTER BY Filtro_Global.

*** Tabla 24.  Empresas que generaron residuos especiales, por tipo de residuo y según tamaño de la empresa.
FREQUENCIES v24219 v24239 v24259 v24279 v24299 v24319 v24339 v24359 v24379 v24399 v24419 v24439.

* Los residuos con las 5 mayores frecuencias positivas fueron:
* 1) Neumáticos viejos: v24419 (37.7%).
* 2) Chatarra pesada: v24259 (5.5%).
* 3) Escombros de construcción: v24239 (4.3%).
* 4) Suelo y lodos de drenaje contaminados: v24279 (2.9%).
* 5) Metal (Estructuras metálicas, perfiles, paneles en mal estado): v24339 (2.6%).

SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.

* Tabla 24.1 Cinco principales residuos especiales por tamaño, para todas las actividades económicas.
SPLIT FILE OFF.
CTABLES
  /VLABELS VARIABLES=v24419 v24259 v24239 v24279 v24339 TAMAÑO DISPLAY=LABEL
  /TABLE v24419 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24259 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24239 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24279 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24339 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24419 v24259 v24239 v24279 v24339 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 24.2 Cinco principales residuos especiales por tamaño, para la actividad económica B. Explotación de minas.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24419 v24359 v24279 v24259 v24239 TAMAÑO DISPLAY=LABEL
  /TABLE v24419 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24359 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24279 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24259 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24239 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24419 v24359 v24279 v24259 v24239 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 24.3 Cinco principales residuos especiales por tamaño, para la actividad económica C. Industrias manufactureras.
CTABLES
  /VLABELS VARIABLES=v24419 v24259 v24239 v24279 v24339 TAMAÑO DISPLAY=LABEL
  /TABLE v24419 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24259 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24239 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24279 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24339 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24419 v24259 v24239 v24279 v24339 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 24.4 Cinco principales residuos especiales por tamaño, para la actividad económica G. Comercio al por mayor y menor.
CTABLES
  /VLABELS VARIABLES=v24419 v24259 v24299 v24379 v24339 TAMAÑO DISPLAY=LABEL
  /TABLE v24419 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24259 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24299 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24379 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24339 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24419 v24259 v24299 v24379 v24339 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 25.5 Cinco principales residuos especiales por tamaño, para la actividad económica H. Transporte y almacenamiento.
CTABLES
  /VLABELS VARIABLES=v24419 v24259 v24379 v24299 v24359 TAMAÑO DISPLAY=LABEL
  /TABLE v24419 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24259 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24379 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24299 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24359 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24419 v24259 v24379 v24299 v24359 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 24.6 Cinco principales residuos especiales por tamaño, para la actividad económica I. Actividades de alojamiento y servicio de comidas.
CTABLES
  /VLABELS VARIABLES=v24419 v24299 v24439 v24239 v24339 TAMAÑO DISPLAY=LABEL
  /TABLE v24419 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24299 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24439 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24239 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24339 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24419 v24299 v24439 v24239 v24339 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 24.7 Cinco principales residuos especiales por tamaño, para la actividad económica J. Información y Comunicación.
CTABLES
  /VLABELS VARIABLES=v24419 v24299 v24339 v24279 v24379 TAMAÑO DISPLAY=LABEL
  /TABLE v24419 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24299 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24339 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24279 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24379 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24419 v24299 v24339 v24279 v24379 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

**********************************************************************************************************************************.
*------------------------------------------------------------------------------------------------------------.
**** GESTIÓN DE RESIDUOS, UNA TABLA POR CADA RESIDUO.
*------------------------------------------------------------------------------------------------------------.
******Tabla 25. Empresas que generaron residuos Especiales******************

* Línea 343. Estiércol producido en los mataderos.
COMPUTE g_343 = (v24223_R > 0). /* Contador de empresas que tienen cantidad positiva de ESTIÉRCOL PRODUCIDO EN LOS MATADEROS.
VARIABLE LABELS g_343 "Estiércol producido en los mataderos".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_343 v24225 v24227 v24229 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_343 [C] > (v24225 [S][SUM, COUNT F40.0] + v24227 [S][SUM, COUNT F40.0] + v24229 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_343 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 344. Escombros de construcción.
COMPUTE g_344 = (v24243_R > 0). /* Contador de empresas que tienen cantidad positiva de ESCOMBROS DE CONSTRUCCIÓN.
VARIABLE LABELS g_344 "Escombros de construcción".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_344 v24245 v24247 v24249 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_344 [C] > (v24245 [S][SUM, COUNT F40.0] + v24247 [S][SUM, COUNT F40.0] + v24249 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_344 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 345. Chatarra pesada.
COMPUTE g_345 = (v24263_R > 0). /* Contador de empresas que tienen cantidad positiva de CHATARRA PESADA.
VARIABLE LABELS g_345 "Chatarra pesada".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_345 v24265 v24267 v24269 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_345 [C] > (v24265 [S][SUM, COUNT F40.0] + v24267 [S][SUM, COUNT F40.0] + v24269 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_345 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 346. Suelo y lodos de drenaje contaminados.
COMPUTE g_346 = (v24283_R > 0). /* Contador de empresas que tienen cantidad positiva de SUELO Y LODOS DE DRENAJE CONTAMINADOS.
VARIABLE LABELS g_346 "Suelo y lodos de drenaje contaminados".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_346 v24285 v24287 v24289 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_346 [C] > (v24285 [S][SUM, COUNT F40.0] + v24287 [S][SUM, COUNT F40.0] + v24289 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_346 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 347. Muebles y enseres viejos.
COMPUTE g_347 = (v24303_R > 0). /* Contador de empresas que tienen cantidad positiva de MUEBLES Y ENSERES VIEJOS.
VARIABLE LABELS g_347 "Muebles y enseres viejos".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_347 v24305 v24307 v24309 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_347 [C] > (v24305 [S][SUM, COUNT F40.0] + v24307 [S][SUM, COUNT F40.0] + v24309 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_347 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 348. Asfalto.
COMPUTE g_348 = (v24323_R > 0). /* Contador de empresas que tienen cantidad positiva de ASFALTO.
VARIABLE LABELS g_348 "Asfalto".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_348 v24325 v24327 v24329 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_348 [C] > (v24325 [S][SUM, COUNT F40.0] + v24327 [S][SUM, COUNT F40.0] + v24329 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_348 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 349. Metales (estructuras metálicas, perfiles, paneles en mal estado).
COMPUTE g_349 = (v24343_R > 0). /* Contador de empresas que tienen cantidad positiva de METALES (ESTRUCTURAS METÁLICAS, PERFILES, PANELES EN MAL ESTADO).
VARIABLE LABELS g_349 "Metales (estructuras metálicas, perfiles, paneles en mal estado)".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_349 v24345 v24347 v24349 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_349 [C] > (v24345 [S][SUM, COUNT F40.0] + v24347 [S][SUM, COUNT F40.0] + v24349 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_349 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 350. Tierras contaminadas.
COMPUTE g_350 = (v24363_R > 0). /* Contador de empresas que tienen cantidad positiva de TIERRAS CONTAMINADAS.
VARIABLE LABELS g_350 "Tierras contaminadas".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_350 v24365 v24367 v24369 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_350 [C] > (v24365 [S][SUM, COUNT F40.0] + v24367 [S][SUM, COUNT F40.0] + v24369 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_350 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 351. Depósito de combustibles.
COMPUTE g_351 = (v24383_R > 0). /* Contador de empresas que tienen cantidad positiva de DEPÓSITO DE COMBUSTIBLES.
VARIABLE LABELS g_351 "Textiles".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_351 v24385 v24387 v24389 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_351 [C] > (v24385 [S][SUM, COUNT F40.0] + v24387 [S][SUM, COUNT F40.0] + v24389 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_351 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 352. Vehículos fuera de uso.
* No se calcula, porque no hay los casos suficientes para desagregarlos por tamaño.

*------------------------------------------------------------------------------------------------------------.

* Línea 353. Neumáticos viejos.
COMPUTE g_353 = (v24423_R > 0). /* Contador de empresas que tienen cantidad positiva de NEUMÁTICOS VIEJOS.
VARIABLE LABELS g_353 "Neumáticos viejos".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_353 v24425 v24427 v24429 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_353 [C] > (v24425 [S][SUM, COUNT F40.0] + v24427 [S][SUM, COUNT F40.0] + v24429 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_353 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 354. Colchones viejos.
COMPUTE g_354 = (v24443_R > 0). /* Contador de empresas que tienen cantidad positiva de COLCHONES VIEJOS.
VARIABLE LABELS g_354 "Colchones viejos".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_354 v24445 v24447 v24449 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_354 [C] > (v24445 [S][SUM, COUNT F40.0] + v24447 [S][SUM, COUNT F40.0] + v24449 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_354 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.
* Consolidado Gestión de Residuos - RESIDUOS ESPECIALES.
COMPUTE g_RE = (g_343 | g_344 | g_345 | g_346 | g_347 | g_348 | g_349 | g_350 | g_351 | g_353). /* Contador de empresas que tienen cantidad positiva de al menos un RESIDUO ESPECIAL.
VARIABLE LABELS g_RE "EMPRESAS CON RESIDUOS ESPECIALES".

COMPUTE u_RE = sum.1(g_343 * v24225, g_344 * v24245, g_345 * v24265, g_346 * v24285, g_347 * v24305, g_348 * v24325, g_349 * v24345, g_350 * v24365,
g_351 * v24385, g_353 * v24425) / sum.1(g_343, g_344, g_345, g_346, g_347, g_348, g_349, g_350, g_351, g_353).
VARIABLE LABELS u_RE "% reutilizó RESIDUOS ESPECIALES".

COMPUTE a_RE = sum.1(g_343 * v24227, g_344 * v24247, g_345 * v24267, g_346 * v24287, g_347 * v24307, g_348 * v24327, g_349 * v24347, g_350 * v24367,
g_351 * v24387, g_353 * v24427) / sum.1(g_343, g_344, g_345, g_346, g_347, g_348, g_349, g_350, g_351, g_353).
VARIABLE LABELS a_RE "% almacenó RESIDUOS ESPECIALES".

COMPUTE d_RE = sum.1(g_343 * v24229, g_344 * v24249, g_345 * v24269, g_346 * v24289, g_347 * v24309, g_348 * v24329, g_349 * v24349, g_350 * v24369,
g_351 * v24389, g_353 * v24429) / sum.1(g_343, g_344, g_345, g_346, g_347, g_348, g_349, g_350, g_351, g_353).
VARIABLE LABELS d_RE "% desechó RESIDUOS ESPECIALES".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_RE u_RE a_RE d_RE DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_RE [C] > (u_RE [S][SUM, COUNT F40.0] + a_RE [S][SUM, COUNT F40.0] + d_RE [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_RE ORDER=A KEY=VALUE EMPTY=EXCLUDE.

************************************************************************************************************************************************.
******** MÓDULO AMBIENTAL DE LA ENCUESTA INDUSTRIAL 2015
*** SINTAXIS DE LA SECCIÓN RESIDUOS
*** CAP. 24, SECCIÓN II: OTROS RESIDUOS.
*** II.3 RESIDUOS PELIGROSOS LÍQUIDOS.

FILTER OFF.
USE ALL.
SPLIT FILE OFF.
COMPUTE Filtro_Global = (N_sector > 0 & TAMAÑO > 0).
FREQUENCIES Filtro_Global.

FILTER BY Filtro_Global.

***** Tabla 26 Empresas que generaron residuos peligrosos líquidos, por tipo de residuo y según tamaño de la empresa********************
FREQUENCIES v24459 v24479 v24499 v24519 v24539 v24559.

* Los residuos con las 5 mayores frecuencias positivas fueron:
* 1) Aceites usados: v24499 (45.7%).
* 2) Depósitos y residuos químicos: v24559 (7.9%).
* 3) Solventes usados: v24459 (6.2%).
* 4) Ácidos, alcalinos o sales: v24479 (2.4%).
* 5) Fluido refrigerante: v24519 (2.1%).

SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.

* Tabla 5.3.1 Cinco principales residuos peligrosos líquidos por tamaño, para todas las actividades económicas.
SPLIT FILE OFF.
CTABLES
  /VLABELS VARIABLES=v24499 v24559 v24459 v24479 v24519 TAMAÑO DISPLAY=LABEL
  /TABLE v24499 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24559 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24459 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24479 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24519 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24499 v24559 v24459 v24479 v24519 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 5.3.2 a 5.3.7 Cinco principales residuos peligrosos líquidos por tamaño, para las actividades económicas B, C, G, H, I, J.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24499 v24559 v24459 v24479 v24519 TAMAÑO DISPLAY=LABEL
  /TABLE v24499 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24559 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24459 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24479 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24519 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24499 v24559 v24459 v24479 v24519 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.


*** TABLA 5.7 Empresas que clasificaron residuos peligrosos líquidos, por tipo de residuo y según tamaño de la empresa.
SPLIT FILE OFF.
FILTER BY Filtro_Global.
FREQUENCIES v24460 v24480 v24500 v24520 v24540 v24560.

* TABLA 5.7.1 Cinco principales residuos peligrosos líquidos, para todas las actividades económicas.
CTABLES
  /VLABELS VARIABLES=v24500 v24560 v24460 v24480 v24520 DISPLAY=LABEL
  /TABLE BY v24500 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + v24560 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
+ v24460 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + v24480 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
+ v24520 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=v24500 v24560 v24460 v24480 v24520 [1, 2] EMPTY=EXCLUDE.

* Tabla 5.7.2 a 5.7.7 Cinco principales residuos peligrosos líquidos, para las actividades económicas B, C, G, H, I, J.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24500 v24560 v24460 v24480 v24520 DISPLAY=LABEL
  /TABLE BY v24500 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + v24560 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
+ v24460 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + v24480 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
+ v24520 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=v24500 v24560 v24460 v24480 v24520 [1, 2] EMPTY=EXCLUDE.

* TABLA 5.7.1 Cinco principales residuos peligrosos líquidos por tamaño, para todas las actividades económicas.
SPLIT FILE OFF.
CTABLES
  /VLABELS VARIABLES=v24500 v24560 v24460 v24480 v24520 TAMAÑO DISPLAY=LABEL
  /TABLE v24500 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24560 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24460 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24480 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24520 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24500 v24560 v24460 v24480 v24520 [1, 2] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 5.7.2 a 5.7.7 Cinco principales residuos peligrosos líquidos por tamaño, para las actividades económicas B, C, G, H, I, J.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24500 v24560 v24460 v24480 v24520 TAMAÑO DISPLAY=LABEL
  /TABLE v24500 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24560 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24460 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24480 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24520 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24500 v24560 v24460 v24480 v24520 [1, 2] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

************************************************************************************************************************************************************
*------------------------------------------------------------------------------------------------------------.
**** GESTIÓN DE RESIDUOS, UNA TABLA POR CADA RESIDUO.
*------------------------------------------------------------------------------------------------------------.

SPLIT FILE OFF.

* Línea 355. Solventes usados.
COMPUTE g_355 = (v24463_R > 0). /* Contador de empresas que tienen cantidad positiva de SOLVENTES USADOS.
VARIABLE LABELS g_355 "Solventes usados".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_355 v24465 v24467 v24469 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_355 [C] > (v24465 [S][SUM, COUNT F40.0] + v24467 [S][SUM, COUNT F40.0] + v24469 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_355 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 356. Ácidos, alcalinos o sales.
COMPUTE g_356 = (v24483_R > 0). /* Contador de empresas que tienen cantidad positiva de ÁCIDOS, ALCALINOS O SALES.
VARIABLE LABELS g_356 "Ácidos, alcalinos o sales".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_356 v24485 v24487 v24489 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_356 [C] > (v24485 [S][SUM, COUNT F40.0] + v24487 [S][SUM, COUNT F40.0] + v24489 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_356 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 357. Aceites usados.
COMPUTE g_357 = (v24503_R > 0). /* Contador de empresas que tienen cantidad positiva de ACEITES USADOS.
VARIABLE LABELS g_357 "Aceites usados".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_357 v24505 v24507 v24509 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_357 [C] > (v24505 [S][SUM, COUNT F40.0] + v24507 [S][SUM, COUNT F40.0] + v24509 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_357 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 358. Fluido refrigerante.
COMPUTE g_358 = (v24523_R > 0). /* Contador de empresas que tienen cantidad positiva de FLUIDO REFRIGERANTE.
VARIABLE LABELS g_358 "Fluido refrigerante".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_358 v24525 v24527 v24529 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_358 [C] > (v24525 [S][SUM, COUNT F40.0] + v24527 [S][SUM, COUNT F40.0] + v24529 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_358 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 359. Aditivos cementicios.
COMPUTE g_359 = (v24543_R > 0). /* Contador de empresas que tienen cantidad positiva de ADITIVOS CEMENTICIOS.
VARIABLE LABELS g_359 "Aditivos cementicios".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_359 v24545 v24547 v24549 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_359 [C] > (v24545 [S][SUM, COUNT F40.0] + v24547 [S][SUM, COUNT F40.0] + v24549 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_359 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 360_A. Depósitos y residuos químicos (LÍQUIDOS).
COMPUTE g_360_A = (v24563_R > 0). /* Contador de empresas que tienen cantidad positiva de DEPÓSITOS Y RESIDUOS QUÍMICOS (LÍQUIDOS).
VARIABLE LABELS g_360_A "Depósitos y residuos químicos (LÍQUIDOS)".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_360_A v24565 v24567 v24569 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_360_A [C] > (v24565 [S][SUM, COUNT F40.0] + v24567 [S][SUM, COUNT F40.0] + v24569 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_360_A ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Línea 360_B. Depósitos y residuos químicos (SÓLIDOS).
COMPUTE g_360_B = (v24563_S > 0). /* Contador de empresas que tienen cantidad positiva de DEPÓSITOS Y RESIDUOS QUÍMICOS (SÓLIDOS).
VARIABLE LABELS g_360_B "Depósitos y residuos químicos (SÓLIDOS)".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_360_B v24565 v24567 v24569 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_360_B [C] > (v24565 [S][SUM, COUNT F40.0] + v24567 [S][SUM, COUNT F40.0] + v24569 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_360_B ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Consolidado Gestión de Residuos - RESIDUOS PELIGROSOS LÍQUIDOS.
COMPUTE g_RPL = (g_355 | g_356 | g_357 | g_358 | g_359 | g_360_A | g_360_B). /* Contador de empresas que tienen cantidad positiva
/* de al menos un RESIDUO PELIGROSO LÍQUIDO.
VARIABLE LABELS g_RPL "EMPRESAS CON RESIDUOS PELIGROSOS LÍQUIDOS".

COMPUTE u_RPL = sum.1(g_355 * v24465, g_356 * v24485, g_357 * v24505, g_358 * v24525, g_359 * v24545, g_360_A * v24565, g_360_B * v24565) / 
sum.1(g_355, g_356, g_357, g_358, g_359, g_360_A, g_360_B).
VARIABLE LABELS u_RPL"% reutilizó RESIDUOS PELIGROSOS LÍQUIDOS".

COMPUTE a_RPL = sum.1(g_355 * v24467, g_356 * v24487, g_357 * v24507, g_358 * v24527, g_359 * v24547, g_360_A * v24567, g_360_B * v24567) / 
sum.1(g_355, g_356, g_357, g_358, g_359, g_360_A, g_360_B).
VARIABLE LABELS a_RPL "% almacenó RESIDUOS PELIGROSOS LÍQUIDOS".

COMPUTE d_RPL = sum.1(g_355 * v24469, g_356 * v24489, g_357 * v24509, g_358 * v24529, g_359 * v24549, g_360_A * v24569, g_360_B * v24569) / 
sum.1(g_355, g_356, g_357, g_358, g_359, g_360_A, g_360_B).
VARIABLE LABELS d_RPL "% desechó RESIDUOS PELIGROSOS LÍQUIDOS".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_RPL u_RPL a_RPL d_RPL DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_RPL [C] > (u_RPL [S][SUM, COUNT F40.0] + a_RPL [S][SUM, COUNT F40.0] + d_RPL [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_RPL ORDER=A KEY=VALUE EMPTY=EXCLUDE.

************************************************************************************************************************************************.
*** MÓDULO AMBIENTAL DE LA ENCUESTA INDUSTRIAL 2015
*** SINTAXIS DE LA SECCIÓN RESIDUOS
*** CAP. 24, SECCIÓN II: OTROS RESIDUOS.
*** II.4 RESIDUOS PELIGROSOS SÓLIDOS.

FILTER OFF.
USE ALL.
SPLIT FILE OFF.
COMPUTE Filtro_Global = (N_sector > 0 & TAMAÑO > 0).
FREQUENCIES Filtro_Global.

FILTER BY Filtro_Global.

*** Tabla 27 Empresas que generaron residuos peligrosos sólidos, por tipo de residuo y según tamaño de la empresa.
FREQUENCIES v24579 v24599 v24619 v24639 v24659 v24679 v24699 v24719 v24739 v24759.

* Los residuos con las 5 mayores frecuencias positivas fueron:
* 1) Lámparas fluorescentes: v24819 (60.0%).
* 2) Tóner: v24739 (45.7%).
* 3) Focos ahorradores: v24779 (33.3%).
* 4) Baterías de vehículos: v24719 (29.0%).
* 5) Material absorbente, trapos y/o wypes contaminados con hidrocarburos: v24679 (22.8%).

SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.

* Tabla 5.4.1 Cinco principales residuos peligrosos sólidos por tamaño, para todas las actividades económicas.
SPLIT FILE OFF.
CTABLES
  /VLABELS VARIABLES=v24819 v24739 v24779 v24719 v24679 TAMAÑO DISPLAY=LABEL
  /TABLE v24819 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24739 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24779 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24719 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24679 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24819 v24739 v24779 v24719 v24679 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 5.4.2 Cinco principales residuos peligrosos sólidos por tamaño, para la actividad económica B. Explotación de minas y canteras.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24659 v24819 v24739 v24759 v24599 TAMAÑO DISPLAY=LABEL
  /TABLE v24659 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24819 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24739 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24759 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24599 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24659 v24819 v24739 v24759 v24599 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 5.4.3 Cinco principales residuos peligrosos sólidos por tamaño, para la actividad económica C. Industrias manufactureras.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24819 v24739 v24679 v24719 v24779 TAMAÑO DISPLAY=LABEL
  /TABLE v24819 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24739 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24679 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24719 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24779 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24819 v24739 v24679 v24719 v24779 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 5.4.4 Cinco principales residuos peligrosos sólidos por tamaño, para la actividad económica G. Comercio al por mayor y menor.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24819 v24739 v24779 v24719 v24759 TAMAÑO DISPLAY=LABEL
  /TABLE v24819 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24739 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24779 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24719 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24759 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24819 v24739 v24779 v24719 v24759 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 5.4.5 Cinco principales residuos peligrosos sólidos por tamaño, para la actividad económica H. Transporte y almacenamiento.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24819 v24739 v24719 v24779 v24679 TAMAÑO DISPLAY=LABEL
  /TABLE v24819 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24739 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24719 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24779 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24679 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24819 v24739 v24719 v24779 v24679 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 5.4.6 Cinco principales residuos peligrosos sólidos por tamaño, para la actividad económica I. Actividades de alojamiento y servicios de comidas.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24819 v24779 v24739 v24759 v24719 TAMAÑO DISPLAY=LABEL
  /TABLE v24819 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24779 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24739 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24759 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24719 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24819 v24779 v24739 v24759 v24719 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

* Tabla 5.4.7 Cinco principales residuos peligrosos sólidos por tamaño, para la actividad económica J. Información y comunicación.
SPLIT FILE OFF.
SORT CASES  BY N_sector.
SPLIT FILE SEPARATE BY N_sector.
CTABLES
  /VLABELS VARIABLES=v24819 v24739 v24779 v24619 v24759 TAMAÑO DISPLAY=LABEL
  /TABLE v24819 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24739 [COUNT F40.0, COLPCT.COUNT PCT40.1] + 
    v24779 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24619 [COUNT F40.0, COLPCT.COUNT PCT40.1] + v24759 
    [COUNT F40.0, COLPCT.COUNT PCT40.1] BY TAMAÑO
  /CATEGORIES VARIABLES=v24819 v24739 v24779 v24619 v24759 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.

*-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.
*------------------------------------------------------------------------------------------------------------.
**** GESTIÓN DE RESIDUOS, UNA TABLA POR CADA RESIDUO.
*------------------------------------------------------------------------------------------------------------.
SPLIT FILE OFF.

* Línea 361. Medicamentos no utilizados.
COMPUTE g_361 = (v24583_R > 0). /* Contador de empresas que tienen cantidad positiva de MEDICAMENTOS NO UTILIZADOS.
VARIABLE LABELS g_361 "Medicamentos no utilizados".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_361 v24585 v24587 v24589 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_361 [C] > (v24585 [S][SUM, COUNT F40.0] + v24587 [S][SUM, COUNT F40.0] + v24589 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_361 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 362. Sanitarios biológicos.
COMPUTE g_362 = (v24603_R > 0). /* Contador de empresas que tienen cantidad positiva de SANITARIOS BIOLÓGICOS.
VARIABLE LABELS g_362 "Sanitarios biológicos".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_362 v24605 v24607 v24609 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_362 [C] > (v24605 [S][SUM, COUNT F40.0] + v24607 [S][SUM, COUNT F40.0] + v24609 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_362 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 363. Chatarra electrónica.
COMPUTE g_363 = (v24623_R > 0). /* Contador de empresas que tienen cantidad positiva de CHATARRA ELECTRÓNICA.
VARIABLE LABELS g_363 "Chatarra electrónica".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_363 v24625 v24627 v24629 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_363 [C] > (v24625 [S][SUM, COUNT F40.0] + v24627 [S][SUM, COUNT F40.0] + v24629 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_363 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 364. Trapos y/o brochas contaminantes.
COMPUTE g_364 = (v24643_R > 0). /* Contador de empresas que tienen cantidad positiva de TRAPOS Y/O BROCHAS CONTAMINANTES.
VARIABLE LABELS g_364 "Trapos y/o brochas contaminantes".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_364 v24645 v24647 v24649 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_364 [C] > (v24645 [S][SUM, COUNT F40.0] + v24647 [S][SUM, COUNT F40.0] + v24649 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_364 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 365. Materiales y recipientes de laboratorio (no biológico).
COMPUTE g_365 = (v24663_R > 0). /* Contador de empresas que tienen cantidad positiva de MATERIALES Y RECIPIENTES DE LABORATORIO (NO BIOLÓGICO).
VARIABLE LABELS g_365 "Materiales y recipientes de laboratorio (no biológico)".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_365 v24665 v24667 v24669 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_365 [C] > (v24665 [S][SUM, COUNT F40.0] + v24667 [S][SUM, COUNT F40.0] + v24669 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_365 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 366. Material absorbente, trapos y/o wypes contaminados con hidrocarburos.
COMPUTE g_366 = (v24683_R > 0). /* Contador de empresas que tienen cantidad positiva de MATERIALES Y RECIPIENTES DE LABORATORIO (NO BIOLÓGICO).
VARIABLE LABELS g_366 "Material absorbente, trapos y/o wypes contaminados con hidrocarburos".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_366 v24685 v24687 v24689 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_366 [C] > (v24685 [S][SUM, COUNT F40.0] + v24687 [S][SUM, COUNT F40.0] + v24689 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_366 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 367. Correas transportadoras.
COMPUTE g_367 = (v24703_R > 0). /* Contador de empresas que tienen cantidad positiva de CORREAS TRANSPORTADORAS.
VARIABLE LABELS g_367 "Correas transportadoras".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_367 v24705 v24707 v24709 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_367 [C] > (v24705 [S][SUM, COUNT F40.0] + v24707 [S][SUM, COUNT F40.0] + v24709 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_367 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 368_A. Baterías de vehículos (kg).
COMPUTE g_368_A = (v24723_R > 0). /* Contador de empresas que tienen cantidad positiva de BATERÍAS DE VEHÍCULOS (KG).
VARIABLE LABELS g_368_A "Baterías de vehículos (kg)".

* Línea 368_B. Baterías de vehículos (unidades).
COMPUTE g_368_B = (v24723_S > 0). /* Contador de empresas que tienen cantidad positiva de BATERÍAS DE VEHÍCULOS (UNIDADES).
VARIABLE LABELS g_368_B "Baterías de vehículos (unidades)".

COMPUTE g_368 = (g_368_A | g_368_B).
VARIABLE LABELS g_368 "Baterías de vehículos".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_368 v24725 v24727 v24729 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_368 [C] > (v24725 [S][SUM, COUNT F40.0] + v24727 [S][SUM, COUNT F40.0] + v24729 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_368 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 369_A. Tóner (kg).
COMPUTE g_369_A = (v24743_R > 0). /* Contador de empresas que tienen cantidad positiva de TÓNER (KG).
VARIABLE LABELS g_369_A "Tóner (kg)".

* Línea 369_B. Tóner (unidades).
COMPUTE g_369_B = (v24743_S > 0). /* Contador de empresas que tienen cantidad positiva de TÓNER (UNIDADES).
VARIABLE LABELS g_369_B "Tóner (unidades)".

COMPUTE g_369 = (g_369_A | g_369_B).
VARIABLE LABELS g_369 "Tóner".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_369 v24745 v24747 v24749 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_369 [C] > (v24745 [S][SUM, COUNT F40.0] + v24747 [S][SUM, COUNT F40.0] + v24749 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_369 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 370_A. Pilas y acumuladores (kg).
COMPUTE g_370_A = (v24763_R > 0). /* Contador de empresas que tienen cantidad positiva de PILAS Y ACUMULADORES (KG).
VARIABLE LABELS g_370_A "Pilas y acumuladores (kg)".

* Línea 370_B Pilas y acumuladores (unidades).
COMPUTE g_370_B = (v24763_S > 0). /* Contador de empresas que tienen cantidad positiva de PILAS Y ACUMULADORES (UNIDADES).
VARIABLE LABELS g_370_B "Pilas y acumuladores (unidades)".

COMPUTE g_370 = (g_370_A | g_370_B).
VARIABLE LABELS g_370 "Pilas y acumuladores".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_370 v24765 v24767 v24769 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_370 [C] > (v24765 [S][SUM, COUNT F40.0] + v24767 [S][SUM, COUNT F40.0] + v24769 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_370 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 371_A. Focos ahorradores (kg).
COMPUTE g_371_A = (v24783_R > 0). /* Contador de empresas que tienen cantidad positiva de FOCOS AHORRADORES (KG).
VARIABLE LABELS g_371_A "Focos ahorradores (kg)".

* Línea 371_B Pilas y acumuladores (unidades).
COMPUTE g_371_B = (v24783_S > 0). /* Contador de empresas que tienen cantidad positiva de FOCOS AHORRADORES (UNIDADES).
VARIABLE LABELS g_371_B "Focos ahorradores (unidades)".

COMPUTE g_371 = (g_371_A | g_371_B).
VARIABLE LABELS g_371 "Focos ahorradores".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_371 v24785 v24787 v24789 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_371 [C] > (v24785 [S][SUM, COUNT F40.0] + v24787 [S][SUM, COUNT F40.0] + v24789 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_371 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 372_A. Focos comunes (kg).
COMPUTE g_372_A = (v24803_R > 0). /* Contador de empresas que tienen cantidad positiva de FOCOS COMUNES (KG).
VARIABLE LABELS g_372_A "Focos comunes (kg)".

* Línea 372_B. Focos comunes (unidades).
COMPUTE g_372_B = (v24803_S > 0). /* Contador de empresas que tienen cantidad positiva de FOCOS COMUNES (UNIDADES).
VARIABLE LABELS g_372_B "Focos comunes (unidades)".

COMPUTE g_372 = (g_372_A | g_372_B).
VARIABLE LABELS g_372 "Focos comunes".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_372 v24805 v24807 v24809 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_372 [C] > (v24805 [S][SUM, COUNT F40.0] + v24807 [S][SUM, COUNT F40.0] + v24809 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_372 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*******************************************************************************************************************************************************

* Línea 373_A. Lámparas fluorescentes (kg).
COMPUTE g_373_A = (v24823_R > 0). /* Contador de empresas que tienen cantidad positiva de LÁMPARAS FLUORESCENTES (KG).
VARIABLE LABELS g_373_A "Lámparas fluorescentes (kg)".

* Línea 373_B. Lámparas fluorescentes (unidades).
COMPUTE g_373_B = (v24823_S > 0). /* Contador de empresas que tienen cantidad positiva de LÁMPARAS FLUORESCENTES (UNIDADES).
VARIABLE LABELS g_373_B "Lámparas fluorescentes (unidades)".

COMPUTE g_373 = (g_373_A | g_373_B).
VARIABLE LABELS g_373 "Lámparas fluorescentes".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_373 v24825 v24827 v24829 DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_373 [C] > (v24825 [S][SUM, COUNT F40.0] + v24827 [S][SUM, COUNT F40.0] + v24829 [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_373 ORDER=A KEY=VALUE EMPTY=EXCLUDE.

*------------------------------------------------------------------------------------------------------------.

* Consolidado Gestión de Residuos - RESIDUOS PELIGROSOS SÓLIDOS.
COMPUTE g_RPS = (g_361 | g_362 | g_363 | g_364 | g_365 | g_366 | g_367 | g_368 | g_369 | g_370 | g_371 | g_372 | g_373). /* Contador de empresas
/* que tienen cantidad positiva de al menos un RESIDUO PELIGROSO SÓLIDO.
VARIABLE LABELS g_RPS "EMPRESAS CON RESIDUOS PELIGROSOS SÓLIDOS".

COMPUTE u_RPS = sum.1(g_361 * v24585, g_362 * v24605, g_363 * v24625, g_364 * v24645, g_365 * v24665, g_366 * v24685, g_367 * v24705, g_368 * v24725, g_369 * v24745,
g_370 * v24765, g_371 * v24785, g_372 * v24805, g_373 * v24825) / sum.1(g_361, g_362, g_363, g_364, g_365, g_366, g_367, g_368, g_369, g_370, g_371, g_372, g_373).
VARIABLE LABELS u_RPS "% reutilizó RESIDUOS PELIGROSOS SÓLIDOS".

COMPUTE a_RPS = sum.1(g_361 * v24587, g_362 * v24607, g_363 * v24627, g_364 * v24647, g_365 * v24667, g_366 * v24687, g_367 * v24707, g_368 * v24727, g_369 * v24747,
g_370 * v24767, g_371 * v24787, g_372 * v24807, g_373 * v24827) / sum.1(g_361, g_362, g_363, g_364, g_365, g_366, g_367, g_368, g_369, g_370, g_371, g_372, g_373).
VARIABLE LABELS a_RPS "% almacenó RESIDUOS PELIGROSOS SÓLIDOS".

COMPUTE d_RPS = sum.1(g_361 * v24589, g_362 * v24609, g_363 * v24629, g_364 * v24649, g_365 * v24669, g_366 * v24689, g_367 * v24709, g_368 * v24729, g_369 * v24749,
g_370 * v24769, g_371 * v24789, g_372 * v24809, g_373 * v24829) / sum.1(g_361, g_362, g_363, g_364, g_365, g_366, g_367, g_368, g_369, g_370, g_371, g_372, g_373).
VARIABLE LABELS d_RPS "% desechó RESIDUOS PELIGROSOS SÓLIDOS".

CTABLES
  /VLABELS VARIABLES=TAMAÑO g_RPS u_RPS a_RPS d_RPS DISPLAY=LABEL
  /TABLE BY TAMAÑO [C] > g_RPS [C] > (u_RPS [S][SUM, COUNT F40.0] + a_RPS [S][SUM, COUNT F40.0] + d_RPS [S][SUM, COUNT F40.0])
  /CATEGORIES VARIABLES=TAMAÑO ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=g_RPS ORDER=A KEY=VALUE EMPTY=EXCLUDE.

************************************************************************************************************************************************.
*********************************************************************************************************************************************************************
*********************************************************************************************************************************************************************************************
********************************************************************BIENES SERVICIOS************************************************************************************************
*********************************************************************************************************************************************************************************************.
*******Tabla 28. Empresas que produjeron bienes o servicios de protección ambiental********.


CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22002 v22003 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22002 [C] > v22003 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22008 v22009 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22008 [C] > v22009 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22014 v22015 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22014 [C] > v22015 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22020 v22021 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22020 [C] > v22021 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22026 v22027 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22026 [C] > v22027 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22032 v22033 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22032 [C] > v22033 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22038 v22039 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22038 [C] > v22039 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22044 v22045 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22044 [C] > v22045 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22050 v22051 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22050 [C] > v22051 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



*****************Tabla 29. Empresas que invirtieron en bienes o servicios de protección ambiental***************.


CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22004 v22005 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22004 [C] > v22005 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22010 v22011 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22010 [C] > v22011 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22016 v22017 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22016 [C] > v22017 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22022 v22023 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22022 [C] > v22023 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22028 v22029 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22028 [C] > v22029 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22034 v22035 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22034 [C] > v22035 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22040 v22041 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22040 [C] > v22041 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22046 v22047 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22046 [C] > v22047 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22052 v22053 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22052 [C] > v22053 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



***********************Tabla30.  Empresas que tuvieron gasto corriente en bienes o servicios de protección ambiental*********************.



CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22006 v22007 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22006 [C] > v22007 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22012 v22013 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22012 [C] > v22013 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22018 v22019 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22018 [C] > v22019 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22024 v22025 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22024 [C] > v22025 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22030 v22031 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22030 [C] > v22031 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22036 v22037 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22036 [C] > v22037 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22042 v22043 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22042 [C] > v22043 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22048 v22049 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22048 [C] > v22049 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22054 v22055 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22054 [C] > v22055 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.







**************Tabla 31.  Empresas que produjeron bienes o servicios de gestión de recursos naturales***********.



CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22056 v22057 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22056 [C] > v22057 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22062 v22063 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22062 [C] > v22063 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22068 v22069 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22068 [C] > v22069 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22074 v22075 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22074 [C] > v22075 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22080 v22081 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22080 [C] > v22081 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22086 v22087 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22086 [C] > v22087 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22092 v22093 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22092 [C] > v22093 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



**********Tabla 32. Empresas que invirtieron en bienes o servicios de gestión de recursos naturales*******.




CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22058 v22059 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22058 [C] > v22059 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22064 v22065 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22064 [C] > v22065 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22070 v22071 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22070 [C] > v22071 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22076 v22077 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22076 [C] > v22077 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22082 v22083 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22082 [C] > v22083 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22088 v22089 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22058 [C] > v22059 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22094 v22095 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22094 [C] > v22095 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*********Tabla 33. Empresas que tuvieron gasto corriente en bienes o servicios de gestión de recursos naturales*********.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22060 v22061 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22060 [C] > v22061 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22066 v22067 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22066 [C] > v22067 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22072 v22073 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22072 [C] > v22073 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22078 v22079 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22078 [C] > v22079 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22084 v22085 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22084 [C] > v22085 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22090 v22091 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22090 [C] > v22091 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
    /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=N_sector TAMAÑO v22096 v22097 DISPLAY=LABEL 
  /TABLE N_sector [C] BY TAMAÑO [C] > v22096 [C] > v22097 [COUNT F40.0, COLPCT.VALIDN PCT40.2, SUM] 
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


******************************************************************************************************************************************************************************************************
************************************************BIENES SERVICIOS LINEA 284-292 PRODUCCIÓN*******************************************************************************************.
*****Tabla 34. Proporción del valor de producción de bienes o servicios de protección ambiental con respecto a la inversión total******.
****SUMA(v22003, v22009, v22015, v22021, v22027, v22033, v22039, v22045, v22051) / v22001.

CTABLES
  /VLABELS VARIABLES=N_sector TAMAÑO prop_prod_prot_amb DISPLAY=LABEL
  /TABLE N_sector [C] BY TAMAÑO [C] >prop_prod_prot_amb [S][COUNT F40.0, MEAN]
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.




******************************************************************************************************************************************************************************************************
************************************************BIENES SERVICIOS LINEA 284-292 INEVERSION*******************************************************************************************.

***Tabla 35. Proporción del valor de inversión de bienes o servicios de protección ambiental con respecto a la inversión total****.
*****SUMA(v22005, v22011, v22017, v22023, v22029, v22035, v22041, v22047, v22053) / v22001.



CTABLES
  /VLABELS VARIABLES=N_sector TAMAÑO prop_inv_prot_amb DISPLAY=LABEL
  /TABLE N_sector [C] BY TAMAÑO [C] > prop_inv_prot_amb [S][COUNT F40.0, MEAN]
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


******************************************************************************************************************************************************************************************************
************************************************BIENES SERVICIOS LINEA 284-292 GASTOS CORRIENTES******************************************************************************
*************************Tabla 36. Proporción del valor de gasto corriente de bienes o servicios de protección ambiental con respecto a la inversión total************************.
**SUMA(v22007, v22013, v22019, v22025, v22031, v22037, v22043, v22049, v22055)



CTABLES
  /VLABELS VARIABLES=N_sector TAMAÑO prop_gast_prot_amb DISPLAY=LABEL
  /TABLE N_sector [C] BY TAMAÑO[C] > prop_gast_prot_amb [S][COUNT F40.0, MEAN]
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



******************************************************************************************************************************************************************************************************
************************************************BIENES SERVICIOS LINEA 293-299 PRODUCCIÓN******************************************************************************
****************Tabla 37.  Proporción del valor de producción de bienes o servicios de gestión de recursos naturales con respecto a la inversión total**************************.
******SUMA(v22057, v22063, v22069, v22075, v22081, v22087, v22093) 

COMPUTE sum_prod_gest_amb_val=sum.1(v22057,v22063,v22069,v22075,v22081,v22087,v22093). 
EXECUTE.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=N_sector TAMAÑO
  /sum_prod_gest_amb_val_sum=SUM(sum_prod_gest_amb_val).

COMPUTE prop_prod_gest_amb_val=(sum_prod_gest_amb_val_sum/v22001_sum)*100.
EXECUTE.

CTABLES
  /VLABELS VARIABLES=N_sector TAMAÑO prop_prod_gest_amb_val DISPLAY=LABEL
  /TABLE N_sector [C] BY TAMAÑO[C] > prop_prod_gest_amb_val[S][COUNT F40.0, MEAN]
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*****************************************************************************************************************************************************************************************************
************************************************BIENES SERVICIOS LINEA 293-299 INVERSIÓN********************************************************************************************
*****************Tabla 38.  Proporción del valor de inversión de bienes o servicios de gestión de recursos naturales con respecto a la inversión total****************************.
*********SUMA(v22059,v22065, v22071, v22077, v22083, v22089, v22095)


COMPUTE sum_inv_gest_amb=sum.1(v22059,v22065,v22071,v22077,v22083,v22089,v22095). 
EXECUTE.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=N_sector TAMAÑO
  /sum_inv_gest_amb_sum=SUM(sum_inv_gest_amb).

COMPUTE prop_inv_gest_amb=(sum_inv_gest_amb_sum/v22001_sum)*100.
EXECUTE.

CTABLES
  /VLABELS VARIABLES=N_sector TAMAÑO prop_inv_gest_amb DISPLAY=LABEL
  /TABLE N_sector [C] BY TAMAÑO[C] > prop_inv_gest_amb [S][COUNT F40.0, MEAN]
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*****************************************************************************************************************************************************************************************************
************************************************BIENES SERVICIOS LINEA 293-299 GASTOS CORRIENTES*****************************************************************************
**************************Tabla 39.  Proporción del valor de gasto corriente de bienes o servicios de gestión de recursos naturales con respecto a la inversión total***********
SUMA(v22061,v22067, v22073, v22079, v22085, v22091, v22097) .



AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=N_sector TAMAÑO
  /sum_gast_gest_amb_sum=SUM(sum_gast_gest_amb).

COMPUTE prop_gast_gest_amb=(sum_gast_gest_amb_sum/v22001_sum)*100.
EXECUTE.

CTABLES
  /VLABELS VARIABLES=N_sector TAMAÑO prop_gast_gest_amb DISPLAY=LABEL
  /TABLE N_sector [C] BY TAMAÑO[C] > prop_gast_gest_amb [S][COUNT F40.0, MEAN]
  /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



**********************************************************************************************************************************************************************************************.
******Tabla 40. Proporción del valor total de producción, inversión y gastos corrientes de bienes o servicios ambientales con respecto a la inversión total***********.
***v22098 / v22001; v22099 / v22001; v22100 / v22001.


AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=N_sector TAMAÑO
  /v22001_sum_Tot=SUM(v22001).

***********************************************************PRODUCCIÓN****************************************************************************************************.

COMPUTE prop_prod_inv_Tot= (v22098 / v22001_sum_Tot)*100.
EXECUTE.


CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO prop_prod_inv_Tot DISPLAY=LABEL
    /TABLE N_sector [C] BY TAMAÑO[C] > prop_prod_inv_Tot [S][COUNT F40.0, MEAN]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


***********************************************************INVERSIÓN****************************************************************************************************.

COMPUTE prop_inv_inv_Tot= (v22099 / v22001_sum_Tot)*100.
EXECUTE.


CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO prop_inv_inv_Tot DISPLAY=LABEL
    /TABLE N_sector [C] BY TAMAÑO[C] > prop_inv_inv_Tot [S][COUNT F40.0, MEAN]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


***********************************************************GASTO****************************************************************************************************.

COMPUTE prop_gast_inv_Tot= (v22100 / v22001_sum_Tot)*100.
EXECUTE.

CTABLES
    /VLABELS VARIABLES= N_sector TAMAÑO prop_gast_inv_Tot DISPLAY=LABEL
    /TABLE N_sector [C] BY TAMAÑO[C] > prop_gast_inv_Tot [S][COUNT F40.0, MEAN]
    /CATEGORIES VARIABLES=N_sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES= TAMAÑO ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*********************************************************************************************************************************************************************************************

